使用EL是不是需要什么包?

fisherwu
04-10-15 2 178

使用EL是不是需要什么包?我的TOMCAT5.028 不能使用表达式语言
比如:

<%@ page language="java" pageEncoding="gb2312" %>
<!DOCTYPE HTML PUBLIC "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
<title>Lomboz JSP</title>
</head>
<body bgcolor="#FFFFFF">
${(1==2) ? 3 : 4}

</body>
</html>


只能显示:

${(1==2) ? 3 : 4}

而不是 4


fisherwu
2004-10-15 17:45

// < % @ page language="java" pageEncoding="gb2312" %>
//<!DOCTYPE HTML PUBLIC "-//w3c//dtd html 4.0 transitional//en">
// <html>
// <head>
// <title>Lomboz JSP</title>
// </head>
// <body bgcolor="#FFFFFF">
// ${(1==2) ? 3 : 4}
// Write your content here

// </body>
// </html>

上面的不能显示,网页代码是这样的

fisherwu
2004-10-15 17:45

奇怪

反正就是不能真确显示
这个表达式
${(1==2) ? 3 : 4